Bug 220610 - ipw2100 firmware restart under load
ipw2100 firmware restart under load
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Kernel Manager
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-22 10:22 EST by Ivan Makfinsky
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-09 10:53:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivan Makfinsky 2006-12-22 10:22:25 EST
Description of problem:
Constant re-initialization of ipw2100 driver under load.

Version-Release number of selected component (if applicable):
kernel-2.6.18-1.2910.el5

How reproducible:
Under high load, happens 5-10 per minute.

Steps to Reproduce:
1. Boot machine
2. Associate to AP with WEP
3. Initiate large download
  
Actual results:
Dmesg output shows
ipw2100: Fatal interrupt. Scheduling firmware restart.
ipw2100: exit - failed to send CARD_DISABLE command
ipw2100: Fatal interrupt. Scheduling firmware restart.
ipw2100: Fatal interrupt. Scheduling firmware restart.
ipw2100: Fatal interrupt. Scheduling firmware restart.
ipw2100: Fatal interrupt. Scheduling firmware restart.
ipw2100: Fatal interrupt. Scheduling firmware restart.
eth1: NETDEV_TX_BUSY returned; driver should report queue full via
ieee_device->is_queue_full.
ipw2100: Fatal interrupt. Scheduling firmware restart.


Expected results:
Firmware to work without errors.

Additional info:
Thinkpad T42
Comment 1 Ernie Petrides 2007-09-05 18:08:04 EDT
Hello, Ivan.  Does this problem still exist with the RHEL5.1 beta kernel?

I ask because there were ipw2100 and ipw2200 updates applied in 5.1.
Comment 2 Prarit Bhargava 2008-05-09 10:53:20 EDT
BZ has been in NEEDINFO since 2007.

Closing.

Note You need to log in before you can comment on or make changes to this bug.